package com.zbkj.service.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zbkj.common.dto.HuifuWalletTranslogDto;
import com.zbkj.common.model.huifu.HuifuWalletTranslog;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <b>  </b>
 * @author ZXF
 * @create 2023/07/31 0031 11:08
 * @version
 * @注意事项 </b>
 */
public interface HuifuWalletTranslogDao extends BaseMapper<HuifuWalletTranslog> {

    /**
     * 批量插入
     */
    int insertBatch(@Param("detailList") List<HuifuWalletTranslog> detailList);
    int updateStatus(HuifuWalletTranslog translog);

    List<String> selectReqNoByDate(@Param("startDate") String startDate,
                                    @Param("endDate") String endDate);
    /**
     * <b> 查询区间内状态为处理中的标识 </b>
     * @author ZXF
     * @create 2023/08/14 0014 16:56
     * @version
     * @注意事项 </b>
     */
    List<String> selectPReqNoByDate(@Param("startDate") String startDate,
                                    @Param("endDate") String endDate);
    List<HuifuWalletTranslog> selectByUniIdAndDate(HuifuWalletTranslogDto dto);

    int findSizeByTransId(@Param("transId") String transId);
    HuifuWalletTranslog getByTransId(@Param("transId") String transId);
}
